# DescribeEipMonitorData

## 1. 接口描述

本接口(DescribeEipMonitorData)用于查询一段时间的弹性公网IP监控指标数据。

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称       | 必选 | 类型                                                                              | 描述                                                       |
| ---------- | -- | ------------------------------------------------------------------------------- | -------------------------------------------------------- |
| eipId      | 是  | String                                                                          | EIP唯一标识ID。                                               |
| metricType | 是  | [EipMonitorMeta](/api-reference/cn/compute/zec/datastructure.md#eipmonitormeta) | EIP监控指标类型。                                               |
| startTime  | 是  | String                                                                          | <p>查询开始时间。</p><p>时间格式：yyyy-MM-ddTHH:mm:ssZ。</p>          |
| endTime    | 是  | String                                                                          | <p>查询结束时间。</p><p>时间格式：yyyy-MM-ddTHH:mm:ssZ。</p>          |
| step       | 否  | Integer                                                                         | <p>查询数据点间隔。</p><p>单位为分钟。</p><p>支持参数：1,5。</p><p>默认值：5</p> |

## 3. 响应结果

| 参数名称              | 类型                                                                                       | 描述                                                       |
| ----------------- | ---------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId         | String                                                                                   | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| inMaxValue        | Float                                                                                    | 入方向最大值。                                                  |
| inAvgValue        | Float                                                                                    | 入方向平均值。                                                  |
| inMinValue        | Float                                                                                    | 入方向最小值。                                                  |
| inTotalValue      | Float                                                                                    | 入方向总和值。                                                  |
| outMaxValue       | Float                                                                                    | 出方向最大值。                                                  |
| outAvgValue       | Float                                                                                    | 出方向平均值。                                                  |
| outMinValue       | Float                                                                                    | 出方向最小值。                                                  |
| outTotalValue     | Float                                                                                    | 出方向总和值。                                                  |
| loseOutMaxValue   | Float                                                                                    | 丢失出方向最大值。                                                |
| loseOutMinValue   | Float                                                                                    | 丢失出方向最小值。                                                |
| loseOutTotalValue | Float                                                                                    | 丢失出方向总和值。                                                |
| loseInMaxValue    | Float                                                                                    | 丢失入方向最大值。                                                |
| loseInMinValue    | Float                                                                                    | 丢失入方向最小值。                                                |
| loseInTotalValue  | Float                                                                                    | 丢失入方向总和值。                                                |
| dataList          | Array of [EipMetricValue](/api-reference/cn/compute/zec/datastructure.md#eipmetricvalue) | 监控数据集合。                                                  |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 查询弹性公网IP监控指标**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeEipMonitorData
<Common Request Params>

Request：
{
    "eipId": "< EipId >",
    "metricType": "BANDWIDTH",
    "startTime": "2025-06-25T01:55:00Z",
    "endTime": "2025-06-25T07:55:00Z"
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "inMaxValue"：1.2,
    "inAvgValue": 1.2,
    "inMinValue": 1.2,
    "inTotalValue": 1.2,
    "outMaxValue": 1.2,
    "outAvgValue": 1.2,
    "outMinValue": 1.2,
    "outTotalValue": 1.2,
    "loseOutMaxValue": 1.2,
    "loseOutMinValue": 1.2,
    "loseOutTotalValue": 1.2,
    "loseInMaxValue": 1.2,
    "loseInMinValue": 1.2,
    "loseInTotalValue": 1.2,
    "dataList": [
      {
        "time": "2023-07-11T08:05:00Z",
        "in": 1.2,
        "out": 1.2,
        "loseIn": 1.2,
        "loseOut": 1.2
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码                                         | 说明        |
| ------- | ------------------------------------------- | --------- |
| 400     | OPERATION\_DENIED\_TIME\_STEP\_NOT\_SUPPORT | 数据点间隔不支持。 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/cn/compute/zec/elastic-ip/describeeipmonitordata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
